org.keycloak.protocol.oidc.endpoints.request

## Class AuthzEndpointRequestParser

- java.lang.Object
- - org.keycloak.protocol.oidc.endpoints.request.AuthzEndpointRequestParser

-     public abstract class AuthzEndpointRequestParser
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDITIONAL_REQ_PARAMS_MAX_MUMBER` Max number of additional req params copied into client session note to prevent DoS attacks
    `static int` | `ADDITIONAL_REQ_PARAMS_MAX_SIZE` Max size of additional req param value copied into client session note to prevent DoS attacks - params with longer value are ignored
    `static String` | `AUTHZ_REQUEST_OBJECT`
    `static Set<String>` | `KNOWN_REQ_PARAMS` Set of known protocol GET params not to be stored into additionalReqParams}

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthzEndpointRequestParser()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `extractAdditionalReqParams(Map<String,String> additionalReqParams)`
    `protected abstract Integer` | `getIntParameter(String paramName)`
    `protected abstract String` | `getParameter(String paramName)`
    `protected abstract Set<String>` | `keySet()`
    `void` | `parseRequest(AuthorizationEndpointRequest request)`
    `protected <T> T` | `replaceIfNotNull(T previousVal, T newVal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDITIONAL_REQ_PARAMS_MAX_MUMBER

          public static final int ADDITIONAL_REQ_PARAMS_MAX_MUMBER

      Max number of additional req params copied into client session note to prevent DoS attacks
      See Also:
        Constant Field Values

    - #### ADDITIONAL_REQ_PARAMS_MAX_SIZE

          public static final int ADDITIONAL_REQ_PARAMS_MAX_SIZE

      Max size of additional req param value copied into client session note to prevent DoS attacks - params with longer value are ignored
      See Also:
        Constant Field Values

    - #### AUTHZ_REQUEST_OBJECT

          public static final String AUTHZ_REQUEST_OBJECT

      See Also:
        Constant Field Values

    - #### KNOWN_REQ_PARAMS

          public static final Set<String> KNOWN_REQ_PARAMS

      Set of known protocol GET params not to be stored into additionalReqParams}

  - ### Constructor Detail

    - #### AuthzEndpointRequestParser

          public AuthzEndpointRequestParser()

  - ### Method Detail

    - #### parseRequest

          public void parseRequest(AuthorizationEndpointRequest request)

    - #### extractAdditionalReqParams

          protected void extractAdditionalReqParams(Map<String,String> additionalReqParams)

    - #### replaceIfNotNull

          protected <T> T replaceIfNotNull(T previousVal,
                                           T newVal)

    - #### getParameter

          protected abstract String getParameter(String paramName)

    - #### getIntParameter

          protected abstract Integer getIntParameter(String paramName)

    - #### keySet

          protected abstract Set<String> keySet()

Copyright © 2021 JBoss by Red Hat. All rights reserved.